package org.jeecg.modules.app.service;

import org.jeecg.modules.app.esign.exception.EsignDemoException;

public interface IESignService {
    /**
     * @Author SheepHy
     * @Description 查询用户授权状态
     * @Date 9:42 2025/7/18
     * @Param phoneNumber
     * @return boolean
     **/
    boolean getUserIdentityInfo(String phoneNumber) throws EsignDemoException;

    /**
     * @Author SheepHy
     * @Description 获取授权链接
     * @Date 9:42 2025/7/18
     * @Param
     * @return
     **/
    String getAuthUrl() throws EsignDemoException;


    /**
     * @Author SheepHy
     * @Description 查询企业授权状态
     * @Date 13:33 2025/7/18
     * @Param
     * @return
     **/
    boolean getOrgIdentityInfos(String orgName) throws EsignDemoException;

    /**
     * @Author SheepHy
     * @Description 企业获取授权链接
     * @Date 13:33 2025/7/18
     * @Param
     * @return
     **/
    String getOrgAuthUrls(String orgName,String phoneNumber) throws EsignDemoException;

    /**
     * @Author SheepHy
     * @Description 上传合同底稿
     * @Date 9:54 2025/7/21
     * @Param
     * @return
     **/
    boolean uploadContractTemplate(String filePath) throws EsignDemoException;


    /**
     * @Author SheepHy
     * @Description 发起签署
     * @Date 10:10 2025/7/21
     * @Param
     * @return
     **/
    String createSign(String fileId) throws EsignDemoException;

    /**
     * @Author SheepHy
     * @Description 获取签署链接
     * @Date 14:02 2025/7/21
     * @Param
     * @return
     **/
    String getSignUrl(String signFlowId) throws EsignDemoException;


    /**
     * @Author SheepHy
     * @Description 制作模板
     * @Date 14:47 2025/7/21
     * @Param
     * @return
     **/
    String createTemplate(String fileId) throws EsignDemoException;

    /**
     * @Author SheepHy
     * @Description 编辑合同
     * @Date 15:01 2025/7/21
     * @Param
     * @return
     **/
    String editContract(String docTemplateId) throws EsignDemoException;
}
