package org.jeecg.modules.app.service;

import org.jeecg.modules.app.vo.LoginUserVO;
import org.jeecg.modules.app.vo.MsgInfoVO;
import org.jeecg.modules.app.vo.MsgVO;

import java.util.List;

public interface IUserService {

    /**
     * @Description 微信登录
     * @Author SheepHy
     * @Date 17:14 2025/7/3
     * @Param code 微信登录返回的code
     * @return LoginUserVO {@link LoginUserVO}
     **/
    LoginUserVO wechatLogin(String code);

    /**
     * @Author SheepHy
     * @Description 查询消息通知列表（简略）
     * @Date 17:13 2025/7/3
     * @return List<MsgVO> {@link List<MsgVO>}
     **/
    List<MsgVO> getMsg();

    /**
     * @Author SheepHy
     * @Description 查询消息详情
     * @Date 17:29 2025/7/3
     * @Param id 消息ID
     * @return MsgInfoVO {@link MsgInfoVO}
     **/
    MsgInfoVO getMsgInfo(String id);

    /**
     * @Author SheepHy
     * @Description 修改用户基础信息
     * @Date 16:25 2025/7/18
     * @Param
     * @return
     **/
    boolean updateUserInfo(String nickName, String avatarUrl);

    /**
     * @Author SheepHy
     * @Description 查询用户基础信息
     * @Date 16:48 2025/7/18
     * @Param
     * @return
     **/
    LoginUserVO getUserInfo();

}
