package org.jeecg.modules.app.vo.game;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@Schema(description="赛事分页返回参数")
public class FindPagResponse {

    @Schema(description = "主键id")
    private String id;
    @Schema(description = "封面")
    private String cover;
    @Schema(description = "赛事名称")
    private String name;
    @Schema(description = "最低价格")
    private BigDecimal minPrice;
    @JsonFormat(timezone = "GMT+8",pattern = "MM-dd")
    @DateTimeFormat(pattern="MM-dd")
    @Schema(description = "开始时间")
    private Date startTime;
    @JsonFormat(timezone = "GMT+8",pattern = "MM-dd")
    @DateTimeFormat(pattern="MM-dd")
    @Schema(description = "结束时间")
    private Date endTime;
    @Schema(description = "地址")
    private String address;
    @Schema(description = "产品类型 0-报名中 1-报名结束")
    private String isEntry;
    @Schema(description = "KM")
    private Double km;
    @Schema(description = "赛事类型 0-个人赛 1-团队赛 2-个人/团队赛")
    private Integer  type;


}
