package org.jeecg.modules.app.vo.game;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@Schema(description="赛程详情返回参数")
public class GameScheduleVO {

    @Schema(description = "主键id")
    private String id;
    @Schema(description = "赛事名称")
    private String name;
    @JsonFormat(timezone = "GMT+8",pattern = "MM-dd HH:mm")
    @DateTimeFormat(pattern="MM-dd HH:mm")
    @Schema(description = "开始时间")
    private Date startTime;
    @JsonFormat(timezone = "GMT+8",pattern = "MM-dd HH:mm")
    @DateTimeFormat(pattern="MM-dd HH:mm")
    @Schema(description = "结束时间")
    private Date endTime;
    @Schema(description = "安排")
    private String arrange;
    @Schema(description = "赛事状态")
    private String  startStatus;

}
