package org.jeecg.modules.system.app.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author DM
 * @date 2025/7/7 20:58
 * @description
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@AllArgsConstructor
@NoArgsConstructor
@Schema(description="课程分页DTO")
public class AppCoursesInfoPageDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @Schema(description = "id")
    private String id;
    /**产品名称*/
    @Schema(description = "产品名称")
    private String name;
    @Schema(description = "类目集;")
    private String categoryId;
    @Schema(description = "类目名称集;")
    private String categoryIds;
    /**费用类型;0 精品 1免费 仅课程*/
    @Schema(description = "费用类型;0 精品 1免费 仅课程")
    private Integer priceType;
    /**上课场地*/
    @Schema(description = "上课场地")
    private String address;
    /**封面*/
    @Schema(description = "封面")
    private String cover;
    /**原价*/
    @Schema(description = "原价")
    private BigDecimal originalPrice;
   /**售价*/
    @Schema(description = "售价")
    private BigDecimal sellingPrice;
    /**开始时间*/
    @JsonFormat(timezone = "GMT+8",pattern = "MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @Schema(description = "开始时间")
    private Date startTime;
    /**结束时间*/
    @JsonFormat(timezone = "GMT+8",pattern = "MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @Schema(description = "结束时间")
    private Date endTime;
    /**上架状态;0上架 1下架*/
    @Schema(description = "上架状态;0上架 1下架")
    private Integer rackingStatus;
    /**课程进展状态*/
    @Excel(name = "课程进展状态", width = 15)
    @Schema(description = "课程进展状态")
    private Integer coursesStatus;
    @Excel(name = "总节数", width = 15)
    private Integer totalNum;
}