package org.jeecg.modules.system.app.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@AllArgsConstructor
@NoArgsConstructor
@Schema(description="学校场地开放DTO")
public class SchoolPlaceAddDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @Schema(description = "部门ID")
    private String tenantId;

    @Schema(description = "教学日")
    private String teachingDay;

    @Schema(description = "非教学日")
    private String noTeachingDay;

    @Schema(description = "封面")
    private String cover;

    @Schema(description = "配套保险")
    private Integer insurance;

    @Schema(description = "使用须知")
    private String reminder;

    @Schema(description = "是否拥有操作权限")
    private Boolean havePermission;
}
