package org.jeecg.modules.system.app.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.apache.commons.lang3.ObjectUtils;
import org.jeecg.modules.system.app.dto.AppTeachingTimeDTO;
import org.jeecg.modules.system.app.entity.AppTeachingTime;
import org.jeecg.modules.system.app.mapper.AppTeachingTimeMapper;
import org.jeecg.modules.system.app.service.IAppTeachingTimeService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Description: 教学/非教学维护表
 * @Author: jeecg-boot
 * @Date:   2025-07-10
 * @Version: V1.0
 */
@Service
public class AppTeachingTimeServiceImpl extends ServiceImpl<AppTeachingTimeMapper, AppTeachingTime> implements IAppTeachingTimeService {

    @Override
    public List<AppTeachingTimeDTO> queryListByTenantId(String tenantId) {

        List<AppTeachingTimeDTO> dtoList = baseMapper.queryListByTenantId(tenantId);
        if (ObjectUtils.isNotEmpty(dtoList)) {
            return dtoList;
        }
        return List.of();
    }
}
